;----------------------------------------------------------------------------------------
; KbqLib version 0.92
; By Michael Olson
; Developement: Sep 2000 through Oct 2000
;----------------------------------------------------------------------------------------

kbqlib::kbd_queue	equ	kbqlib@0000
;----------------------------------------------------------------------------------------
; kbq_queue(void)
;
; Input:	nothing
; Output:	a0.l = address to keyboard queue
;
;	Gets access to the keyboard buffer (or queue).
;		NO REGISTERS MAIMED!
;----------------------------------------------------------------------------------------

kbqlib::kbqclr		equ	kbqlib@0001
;----------------------------------------------------------------------------------------
; kbqclr(void)
;
; Input:	nothing
; Output:	d0.w = 0
;
;	Clears the keyboard buffer.
;		NO REGISTERS HARMED!
;----------------------------------------------------------------------------------------

kbqlib::kbqget		equ	kbqlib@0002
;----------------------------------------------------------------------------------------
; kbqget(void)
;
; Input:	nothing
; Output:	d0.w = key code from buffer
;
;	Takes a keystroke from the key buffer without replacing it.
;		NO REGISTERS DAMAGED!
;----------------------------------------------------------------------------------------

kbqlib::kbqhit		equ	kbqlib@0003
;----------------------------------------------------------------------------------------
; kbqhit(void)
;
; Input:	nothing
; Output:	d0.w = key code from buffer
;
;	Reads a keystroke from the buffer, but keeps it there.
;		NO REGISTERS KILLED!
;----------------------------------------------------------------------------------------

kbqlib::kbqput		equ	kbqlib@0004
;----------------------------------------------------------------------------------------
; kbqput(code)
;
; Input:	d0.w = key code to be pushed into buffer
; Output:	d0.w = key code if successful, otherwise
;		d0.w = 0 on failure (buffer is full)
;
;	Put a keystroke into the buffer.
;		YES, THE REGISTERS WILL BE OK!
;----------------------------------------------------------------------------------------
